// Header
#include <acknex.h>
#include <default.c>

var yuruyus_hizi;
var bekleme_hizi;
var saldiri_hizi;
var enerji;
var maxenerji;

SOUND* arka = "ap.wav";

ENTITY* sky = 
{
 	type = "skycube+6.tga"; 
	flags2 = SKY | CUBE | VISIBLE; 
}

PANEL* hud =
{
	digits(25, 25, "Enerji: %.f", *, 1, enerji);
	flags = SHOW;
}

function hareket()
{
	c_move(me, vector(0,0,-5), nullvector, GLIDE);
	ent_animate(my,"stand",bekleme_hizi, ANM_CYCLE); // animasyon
	bekleme_hizi += 3 * time_step; // animasyon hizi
	//ileri
	if(key_w == 1 && key_ctrl == 0)
	{
		c_move(me, vector(0.2,0,0), nullvector, GLIDE);
		ent_animate(my,"walk",yuruyus_hizi, ANM_CYCLE); // animasyon
		yuruyus_hizi += 3 * time_step; // animasyon hizi
	}
	//kos
	if(key_w == 1 && key_shift == 1 && enerji > 0)
	{
		c_move(me, vector(1,0,0), nullvector, GLIDE);
		ent_animate(my,"run",yuruyus_hizi, ANM_CYCLE); // animasyon
		yuruyus_hizi += 10 * time_step; // animasyon hizi
		enerji = enerji - 0.3;
	}
	//geri
  	if(key_s == 1)
	{
		c_move(me, vector(-0.1,0,0), nullvector, GLIDE);
		ent_animate(my,"walk",yuruyus_hizi, ANM_CYCLE); // animasyon
		yuruyus_hizi += -3 * time_step; // animasyon hizi
	}
		if(key_s == 1 && key_shift == 1 && enerji > 0)
	{
		c_move(me, vector(-0.2,0,0), nullvector, GLIDE);
		ent_animate(my,"run",yuruyus_hizi, ANM_CYCLE); // animasyon
		yuruyus_hizi += -3 * time_step; // animasyon hizi
		enerji = enerji - 0.3;
	}
	//saldir
	if(mouse_left == 1)
	{
		ent_animate(my, "attack", saldiri_hizi, ANM_CYCLE);
		saldiri_hizi += 5 * time_step;
	}
	me.pan += mouse_force.x; //saga sola donus mouse ile
}

function kamera()
{
	camera.pan += (3*time_step)*1.4;
   camera.pan=my.pan;
	camera.x = my.x-200*cos(my.pan);
	camera.y = my.y-200*sin(my.pan);
	camera.z = my.z+100;
	camera.tilt += mouse_force.y;
	if(camera.tilt < -50) {camera.tilt = -50;}
	if(camera.tilt > 20) {camera.tilt = 20;}
}

action gardiyan()
{
	wait(1);	// 1 kare bekle
	c_setminmax(me); 
	enerji = 100;
	while(1)
	{
	hareket();
	kamera();
	if(enerji < maxenerji)
	{
		enerji += 0.2;
	}
	wait(1);
   }
}

function main()
{
	//Oyun basi degerler
	maxenerji = 100;
	fps_max = 140;
	logo = 2;
	mouse_mode = 0;
	video_mode = 8;
	video_screen = 1;
	screen_color.blue = 255;
	screen_color.green = 255;
	screen_color.red = 255;
	level_load("bolum.wmb");
	snd_loop(arka, 50, 0);
	while(1)
	{
   draw_text("WickWoody!",920,5,vector(100,100,255));
   wait(1);
	}
}